Name:          openorb-evaluator
Version:       1.4.0
Release:       %mkrel 1
Summary:       OpenORB Evaluator Utility
Group:         Development/Java
URL:           http://openorb.sourceforge.net/
Source0:       http://downloads.sourceforge.net/openorb/EvaluatorUtility-%{version}-src.tgz
Source1:       http://downloads.sourceforge.net/project/openorb/tools/%{version}/Tools-%{version}-src.tgz
Patch0:        openorb-evaluator-1.4.0-build_xml.patch
License:       BSD
BuildRequires: ant
BuildRequires: apache-commons-cli
BuildRequires: avalon-framework
BuildRequires: avalon-logkit
BuildRequires: excalibur-configuration
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
BuildRequires: openorb == %{version}
Requires:      avalon-framework
Requires:      avalon-logkit
Requires:      excalibur-configuration
Requires:      jpackage-utils
Requires:      openorb == %{version}
BuildArch:     noarch

%description
OpenORB is a CORBA Object Request Broker fully developed in
Java. It fully complies with the CORBA 2.4.2 specification and
provides a lot of features, services and extensions.

This package contains OpenORB Evaluator Utility libraries.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
OpenORB Evaluator Utility.

This package contains javadoc for %{name}.

%prep

%setup -q -n EvaluatorUtility

gzip -dc %{SOURCE1} | tar xf -

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

%patch0 -p0

%build

unset JAVA_HOME
export JAVA_HOME=/usr/lib/jvm/java
export CLASSPATH=""
CLASSPATH=$CLASSPATH:$(build-classpath avalon-framework-api avalon-framework-impl avalon-logkit excalibur-configuration commons-cli junit)
CLASSPATH=$CLASSPATH:$(build-classpath openorb-omg openorb-tools tools-openorb openorb)
CLASSPATH=$CLASSPATH:tools/lib/tools-%{version}.jar
CLASSPATH=$CLASSPATH:tools/lib/launcher.jar

ant \
  -DVERSION_MAJOR=1 \
  -DVERSION_MINOR=4 \
  -DVERSION_MINOR_CHANGE=0 \
  -buildfile src/build.xml \
  -Dbuild.compiler=modern \
  -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 \
  jar-all compile-javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}

install -m 644 lib/openorb_evaluator-%{version}.jar %{buildroot}%{_javadir}/openorb-evaluator-%{version}.jar
install -m 644 lib/openorb_evaluator_test-%{version}.jar %{buildroot}%{_javadir}/openorb-evaluator-test-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/openorb-evaluator-%{version}/omg
cp -pr doc/javadoc/* %{buildroot}%{_javadocdir}/openorb-evaluator-%{version}/
ln -s openorb-evaluator-%{version} %{buildroot}%{_javadocdir}/openorb-evaluator

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/openorb-evaluator-%{version}.jar
%{_javadir}/openorb-evaluator.jar
%{_javadir}/openorb-evaluator-test-%{version}.jar
%{_javadir}/openorb-evaluator-test.jar
%doc LICENSE.txt README

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/openorb-evaluator-%{version}
%{_javadocdir}/openorb-evaluator



%changelog

* Sun Aug 28 2011 dmorgan <dmorgan> 1.4.0-1.mga2
+ Revision: 135866
- Add junit in the classpath
- Fix avalon-framework in classpath

  + gil <gil>
    - imported package openorb-evaluator


* Sat May 28 2011 gil <gil> 1.4.0-0.mga1
- initial rpm